Use a dispatching property info lookup in Wikibase client
Closed, ResolvedPublic

Description

Given all preparatory work described in T151307, and in particular introducing the DispatchingPropertyInfoLookup class in T152103 we could now make property info related code in ClientStore/WikibaseStore work with foreign properties too.

WMDE-leszek moved this task from Proposed to Doing on the Wikidata-Sprint board.

Change 327760 had a related patch set uploaded (by WMDE-leszek):
Add DispatchingPropertyInfoStore

https://gerrit.wikimedia.org/r/327760

Change 327761 had a related patch set uploaded (by WMDE-leszek):
Use DispatchingPropertyInfoStore in DirectSqlStore

https://gerrit.wikimedia.org/r/327761

WMDE-leszek moved this task from Doing to Review on the Wikidata-Sprint board.Dec 16 2016, 4:58 PM
WMDE-leszek updated the task description. (Show Details)

Some remarks I made initially does not seem valid, edited task description.

WMDE-leszek moved this task from Review to Doing on the Wikidata-Sprint board.Dec 19 2016, 10:53 AM

Change 327760 abandoned by WMDE-leszek:
Add DispatchingPropertyInfoStore

Reason:
This was not the right approach. Ditching this in favour of the full split of PropertyInfoLookup and PropertyInfoStore interfaces: I0ba91dd66291d9bb77ae6ce5b16d295deae69c81

https://gerrit.wikimedia.org/r/327760

WMDE-leszek moved this task from Doing to Review on the Wikidata-Sprint board.

Change 327761 merged by jenkins-bot:
Use DispatchingPropertyInfoLookup in DirectSqlStore

https://gerrit.wikimedia.org/r/327761

WMDE-leszek moved this task from Review to Done on the Wikidata-Sprint board.Jan 4 2017, 2:57 PM
WMDE-leszek closed this task as Resolved.Jan 18 2017, 10:34 AM
WMDE-leszek removed a project: Patch-For-Review.